Channels

List channels

GET
/v1/channels

Scope: channels:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels'
Example Response
{  "channels": [    {      "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d",      "name": "E2E Ad Channel India",      "slug": "e2e-ad-channel-india",      "archetype": "movie",      "region": "US",      "language": "en",      "scheduleHorizon": 7,      "epgDays": 8,      "health": 67,      "healthDown": true,      "primeTimeStart": 20,      "primeTimeEnd": 23,      "distributors": [],      "salesDeck": false,      "autoPublish": true,      "status": "live",      "updatedAt": "2026-10-30T09:06:46.116Z",      "posterSpec": {        "kind": "single",        "poster": "https://image.tmdb.org/t/p/w500/iiZZdoQBEYBv6id8su7ImL0oCbD.jpg",        "title": "Spider-Man: Into the Spider-Verse"      }    },    {      "id": "f5cf3d93-3870-4e4a-a16b-916accd5836e",      "name": "E2E Ad Channel West",      "slug": "e2e-ad-channel-west",      "archetype": "movie",      "region": "US",      "language": "en",      "scheduleHorizon": 7,      "epgDays": 8,      "health": 67,      "healthDown": true,      "primeTimeStart": 20,      "primeTimeEnd": 23,      "distributors": [],      "salesDeck": false,      "autoPublish": true,      "status": "live",      "updatedAt": "2026-10-30T09:06:46.646Z",      "posterSpec": {        "kind": "single",        "poster": "https://image.tmdb.org/t/p/w500/iiZZdoQBEYBv6id8su7ImL0oCbD.jpg",        "title": "Spider-Man: Into the Spider-Verse"      }    }  ]}